> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/bmc/cidr-block/describecidrblockips.md).

# DescribeCidrBlockIps

## 1. API Description

This API (DescribeCidrBlockIps) is used to query the IPs of a CIDR block.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                     |
| -------------- | -------- | ------ | --------------------------------------------------------------------------------------------------------------- |
| cidrBlockId    | Yes      | String | <p>ID of the CIDR block.</p><p>You can find the cidrBlockId in the response by calling DescribeCidrBlocks .</p> |
| instanceId     | No       | String | <p>ID of the instance.</p><p>You can find the instanceId in the response by calling DescribeInstances .</p>     |
| ip             | No       | String | IP address.                                                                                                     |

## 3. Output Parameters

| Parameter Name | Type                                                                    | Description                                                                                                           |
| -------------- | ----------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                  | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| cidrBlockIps   | Array of [CidrBlockIp](/api-reference/bmc/datastructure.md#cidrblockip) | IPs of the CIDR block.                                                                                                |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeCidrBlockIps
<Common Request Params>

Request:
{
  "cidrBlockId": "aCidrBlockId"
}

Response:
{
  "requestId": "T91F2EF61-762D-4401-A18B-3D626386C4CC",
  "response": {
    "requestId": "T91F2EF61-762D-4401-A18B-3D626386C4CC",
    "cidrBlockIps": [
      {
        "cidrBlockId": "aCidrBlockId",
        "cidrBlockType": "IPV6",
        "ip": "2602:ffe4:1:11::1",
        "instanceId": "bindedInstanceId",
        "status": "BINDED"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
